<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF8024=99</action>
    </script>
  </cheat>

  <cheat desc="Get Letter 'B' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=10|(maincpu.pb@FF80B1 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Get Letter 'O' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=08|(maincpu.pb@FF80B1 BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Letter 'N' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=04|(maincpu.pb@FF80B1 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Letter 'U' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=02|(maincpu.pb@FF80B1 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Letter 'S' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=01|(maincpu.pb@FF80B1 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get 'Bonus' Now!">
    <script state="on">
      <action>maincpu.pb@FF80B1=1F|(maincpu.pb@FF80B1 BAND ~1F)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus Stage Time">
    <script state="run">
      <action>maincpu.pb@FF80B9=99</action>
    </script>
  </cheat>

  <cheat desc="1 Hit to Kill Boss (World 2) Now!">
    <script state="on">
      <action>maincpu.pb@FFAA84=00</action>
    </script>
  </cheat>

  <cheat desc="1 Damage to Kill Boss (World 4) Now!">
    <script state="on">
      <action>maincpu.pb@FFAC64=00</action>
    </script>
  </cheat>

  <cheat desc="1 Damage to Kill Boss (World 6) Now!">
    <script state="on">
      <action>maincpu.pb@FFAC64=00</action>
    </script>
  </cheat>

  <cheat desc="1 Damage to Kill Boss - L.H. (World 8) Now!"> <comment>L.H. = left head</comment>
    <script state="on">
      <action>maincpu.pb@FFABC4=00</action>
    </script>
  </cheat>

  <cheat desc="1 Damage to Kill Boss - R.H. (World 8) Now!"> <comment>R.H. = right head</comment>
    <script state="on">
      <action>maincpu.pb@FFAC64=00</action>
    </script>
  </cheat>

  <cheat desc="1 Hit to Damage Boss (World 4, 6, 8)">
    <script state="run">
      <action>maincpu.pb@FFAC24=05</action>
      <action>maincpu.pb@FFACC4=05</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pw@FF86B6=0000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF86A3=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FF864B=00</action>
      <action>maincpu.pb@FF864A=00|(maincpu.pb@FF864A BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Items PL1">
    <script state="run">
      <action>maincpu.pb@FF868A=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Item Time PL1"> <comment>available after use special item</comment>
    <script state="run">
      <action>maincpu.pw@FF87A2=01D0</action>
    </script>
  </cheat>

  <cheat desc="Always Use Special Item PL1">
    <script state="run">
      <action>maincpu.pb@FF80A6=01|(maincpu.pb@FF80A6 BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed PL1">
    <script state="run">
      <action>maincpu.pb@FF8687=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Power PL1">
    <script state="run">
      <action>maincpu.pb@FF8686=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Range PL1">
    <script state="run">
      <action>maincpu.pb@FF8689=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Laser PL1">
    <script state="run">
      <action>maincpu.pb@FF8688=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>hold shot button</comment>
    <script state="run">
      <action>maincpu.pb@FF8049=00|(maincpu.pb@FF8049 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always Drink Whiskey PL1"> <comment>reversed control</comment>
    <script state="run">
      <action>maincpu.pb@FF868B=01</action>
    </script>
  </cheat>

  <cheat desc="Never Drink Whiskey PL1">
    <script state="run">
      <action>maincpu.pb@FF868B=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pw@FF88B6=0000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF88A3=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FF884B=00</action>
      <action>maincpu.pb@FF884A=00|(maincpu.pb@FF884A BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Items PL2">
    <script state="run">
      <action>maincpu.pb@FF888A=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Item Time PL2"> <comment>available after use special item</comment>
    <script state="run">
      <action>maincpu.pw@FF89A2=01D0</action>
    </script>
  </cheat>

  <cheat desc="Always Use Special Item PL2">
    <script state="run">
      <action>maincpu.pb@FF80A6=02|(maincpu.pb@FF80A6 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed PL2">
    <script state="run">
      <action>maincpu.pb@FF8887=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Power PL2">
    <script state="run">
      <action>maincpu.pb@FF8886=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Range PL2">
    <script state="run">
      <action>maincpu.pb@FF8889=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Laser PL2">
    <script state="run">
      <action>maincpu.pb@FF8888=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>hold shot button</comment>
    <script state="run">
      <action>maincpu.pb@FF8048=00|(maincpu.pb@FF8048 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Always Drink Whiskey PL2"> <comment>reversed control</comment>
    <script state="run">
      <action>maincpu.pb@FF888B=01</action>
    </script>
  </cheat>

  <cheat desc="Never Drink Whiskey PL2">
    <script state="run">
      <action>maincpu.pb@FF888B=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
